Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v5
Class TestNgUtils

Java 5 code for working with TestNG tests.

author:
  Paul King

Constructor Summary
`TestNgUtils()`

Method Summary
`static Boolean` | `realIsTestNgTest(Class scriptClass, GroovyClassLoader loader)` Utility method to check via reflection if the parsed class appears to be a TestNG test.
`static Object` | `realRunTestNgTest(Class scriptClass)` Utility method to run a TestNG test.

Constructor Detail

### TestNgUtils

    TestNgUtils()

Method Detail

### realIsTestNgTest

    public static Boolean realIsTestNgTest(Class scriptClass, GroovyClassLoader loader)

  Utility method to check via reflection if the parsed class appears to be a TestNG test.
  param:
    scriptClass the class we want to check
  param:
    loader the GroovyClassLoader to use to find classes
  return:
    true if the class appears to be a test

### realRunTestNgTest

    public static Object realRunTestNgTest(Class scriptClass)

  Utility method to run a TestNG test.
  param:
    scriptClass the class we want to run as a test
  return:
    the result of running the test